StocksAndFisheriesKB - Task #24817

Task # 24611 (In Progress): Create the new GRSF Publisher service
Task # 25008 (Paused): Requested fields changes

Change the content of 'database_sources'

Mar 21, 2023 04:07 PM - Luca Frosini

Status: Paused Start date: Mar 21, 2023
Priority: Normal Due date:

Assignee: Yannis Marketakis % Done: 80%
Category: Estimated time: 0.00 hour
Target version: GRSF

Description

Stock and Fishery records contain the fields database_sources.

As an example, please consider the following the Stock Record (Assessment Unit) from GRSF with GRSF UUID
cb468fb0-fed5-370f-9bc6-08fa99c54f3c.

https://data.d4science.org/ctlg/GRSF_Admin/cb468fb0-fed5-370f-9bc6-08fa99c54f3¢c

Please find attached the JSON submitted by the KB in June 2021 (maybe it is not the latest version, but this is not important to
present the situation)

"database_sources" : [ {
"name" : "FishSource",
"description" : "

FishSource is an online information resource about the status of stocks and fisheries, that compil

es and summarizes all the information that is needed from analysts to evaluate the sustainability.

"
’

"url" : "http://www.fishsource.com"
b A

"name" : "FIRMS",

"description" : "

Fisheries and Resources Monitoring System aims to provide access to a wide range of high-quality i
nformation on the global monitoring and management of fishery marine resources",

"url" : "http://firms.fao.org/firms/en"
b A

"name" : "RAM",

"description" : "

RAM Legacy Stock Assessment Database is a compilation of stock assessment results for commercially
exploited marine populations from around the world.",
"url" : "http://ramlegacy.org"
bl
Currently grsf-publisher-ws service uses database_sources to:
e Generate a simple field with the content "RAM FishSource FIRMS".
I'm wondering if we simplify the process and have something like:

"database_sources" : "RAM FishSource FIRMS"

Please note that if we agree on this, the change must be made when the new service will be available and not for the current
implementation.

Related issues:
Related to StocksAndFisherieskB - Feature #24604: Fix 'Database Source' field New Feb 16, 2023

History

#1 - Mar 21, 2023 04:18 PM - Luca Frosini
- Related to Feature #24604: Fix 'Database Source' field added
https://data.d4science.org/ctlg/GRSF_Admin/cb468fb0-fed5-370f-9bc6-08fa99c54f3c

#2 - Mar 21, 2023 04:24 PM - Luca Frosini

@marketak@ics.forth.gr | just remember that @aureliano.gentile@fao.org asked me the following requirements during the meeting in Pisa see
#24604

To satisfy both requirements, we could have the following JSON

"database_sources" : [ "Fisheries and Resources Monitoring System (FIRMS)", "FAO SDG 14.4.1 Questionnaire" ]
Moreover, | generate the multiple times the metadata Database Source (one time for each element of the array).

#3 - Mar 22, 2023 10:32 AM - Yannis Marketakis

- File clipboard-202303221129-va37k.png added
- File clipboard-202303221130-8ms3t.png added

We could do that, but | see that the extra information in the json object for database sources (i.e. description and URL) are indeed used both in GRSF
Admin VRE and GRSF Public VRE.

More specifically in GRSF VRE the URL and description accompany the database source (for example FIRMS in the case of
https://data.d4science.org/ctlg/GRSF/d9e59e52-4440-39a1-88c1-71d8f1f246d7)

Elw  firms
= Fisheries and Resources Monitoring System aims to provide access to a wide..
Go to resourc

The same is shown in GRSF Admin (at least for legacy records). Check
https://data.d4science.org/ctlg/GRSE_Admin/9a236015-1fee-3d08-ad48-25782e49032d for example

% FIRMS
= Fisheries and Resources Monitoring System aims to provide access to a wide..
(30 to resourc
B8 nttp:ifirms.fao.org/firms/resource/13728/en

Go to resourc

% Abundance Level (FIRMS Standard)
Common skate - Bay of Biscay and Porfuguese Waters East
(30 tn resniirce

So overall, | suspect that if we change this all these resources will be gone.

To avoid lookups on your side, | could provide you with a list of db source names complementary to the database source objects, using an additional
field (e.g. database_source_names ). what do you think?

#4 - Mar 22, 2023 11:38 AM - Luca Frosini
- File Database Source Field.png added

- File resources_from_refers_to.png added

Yannis Marketakis wrote in #note-3:

We could do that, but | see that the extra information in the json object for database sources (i.e. description and URL) are indeed used both in
GRSF Admin VRE and GRSF Public VRE.

More specifically in GRSF VRE the URL and description accompany the database source (for example FIRMS in the case of
https://data.d4science.org/ctlg/GRSF/d9e59e52-4440-39a1-88c1-71d8f1f246d7)
EZ firms
= Fisheries and Resources Monitoring System aims to provide access to a wide. .
(3o to resource

The same is shown in GRSF Admin (at least for legacy records). Check
https://data.d4science.org/ctlg/GRSF_Admin/9a236015-1fee-3d08-ad48-25782e49032d for example

% FIRMS
= Fisheries and Resources Monitoring System aims to provide access to a wide...
o to resource
5% nttp:/ifirms.fao.orgifirms/resource/13728/en

(3o to resource

% Abundance Level (FIRMS Standard)
Common skate - Bay of Biscay and Portuguese Waters East
(30 tn resniirce

So overall, | suspect that if we change this all these resources will be gone.
To avoid lookups on your side, | could provide you with a list of db source names complementary to the database source objects, using an
additional field (e.g. database_source_names ). what do you think?

database_sources is just used to create the field Database Source

e.g.

Database Source: RAM FishSource FIRMS

Database Source RAM FishSource FIRMS

Instead, the resource are generated form other properties, e.g. refers_to

See https://data.d4science.org/ctlg/GRSF_Admin/cb468fb0-fed5-370f-9bc6-08fa99c54f3¢

RAM  Explore ~

I:En FishSource r* Explore ~

= FIRMS  Explore ~

]
I
b
]
I

Instead the resource with name http://firms.fao.org/firms/resource/13728/en in the screeeshot you provided come from source_of_information

"source_of_information" : [ {
"name" : "http://firms.fao.org/firms/resource/13728/en",
"description" : "",
"url" : "http://firms.fao.org/firms/resource/13728/en"

bl

#5 - Mar 22, 2023 11:51 AM - Yannis Marketakis
- File clipboard-202303221251-exrza.png added

| have added the image to point you to the resource of FIRMS, not to the FIRMS record (which clearly comes from refers_to , no objection about that).
See the resource in the red box. The description of the database source clearly comes from

"database_sources" : [ {
"name" : "FIRMS",

"description"
"Fisheries and Resources Monitoring System aims to provide access to a wide range of high-quality information
on the global monitoring and management of fishery marine resources",

"url" : "http://firms.fao.org/firms/en"

FIRMS
Fisheries and Resources Monitoring System aims to provide access to a wide. .

Go to resource

http:/ifirms.fac.org/firmsiresource/13728/en

Go to resource

“ Abundance Level (FIRMS Standard)
Common skate - Bay of Biscay and Portuguese Waters East
(30 tn resnurre

#6 - Mar 22, 2023 12:33 PM - Luca Frosini

@marketak@ics.forth.gr | just realised that you are right. Thanks for highlighting this.
Also the database_sources should create a resource but in the case of the record

https://data.d4science.org/ctlg/GRSF_Admin/cb468fb0-fed5-370f-9bc6-08fa99c54f3¢c

they were not created.
Maybe, they were overwritten by the resources generated from refers_to due to the name clash.

"refers_to":

[
"id": "2109694f-17d1-3206-815d-179%9bc52e5ecT",

"url": "https://data.d4science.org/ctlg/GRSF_Admin/2109694f-17d1-3206-815d-179bc52e5ec7"

"id": "c0d7d44£f-71cb-3b28-9b65-ddf72c57d44£",
"url": "https://data.d4science.org/ctlg/GRSF_Admin/c0d7d44f-71cb-3b28-9b65-ddf72c57d44£"

"id": "1b3celde-1ledl-3ba8-8a80-£f866b287617e",
"url": "https://data.d4science.org/ctlg/GRSF_Admin/1b3celde-1ledl-3ba8-8a80-£866b287617e"
]l

In fact, as explained in ticket #24816 the name of refers_to resources are derived from the lookup of the pointed resources and we discussed about
having a more significant name.

Can we talk about this in a call?

#7 - Mar 22, 2023 12:51 PM - Luca Frosini

In any case, I've just realised that this field database_sources is fine as it is.
Instead, | have to change the behaviour for the name in refers_to to avoid name clashes.
| can use the id you already provide or a more significant name, but we will discuss bout this in ticket #24816.

To comply with the new request of @aureliano.gentile@fao.org in #24604, what about if we add another property in each database_sources element
e.g. long_name

E.g.

"database_sources" : [ {
"name" : "FishSource",
"long_name" : "FishSource",
"description" "

FishSource is an online information resource about the status of stocks and fisheries, that compiles and summa
rizes all the information that is needed from analysts to evaluate the sustainability.",
"url" : "http://www.fishsource.com"
oo A
"name" : "FIRMS",
"long_name" : "Fisheries and Resources Monitoring System (FIRMS)",
"description" : "
Fisheries and Resources Monitoring System aims to provide access to a wide range of high-quality information o
n the global monitoring and management of fishery marine resources",
"url" : "http://firms.fao.org/firms/en"
b A
"name" : "RAM",
"long_name" : "RAM Legacy Stock Assessment Database",
"description" "
RAM Legacy Stock Assessment Database is a compilation of stock assessment results for commercially exploited m
arine populations from around the world.",
"url" : "http://ramlegacy.org"
bl

#8 - Mar 22, 2023 01:05 PM - Luca Frosini
- Status changed from New to In Progress

- % Done changed from 0 to 80

#9 - Mar 22, 2023 01:18 PM - Luca Frosini

@aureliano.gentile@fao.org does the creation of the resource point to the database source which are well know an added value?
#10 - Mar 22, 2023 01:59 PM - Yannis Marketakis
Hi @luca.frosini@isti.cnr.it,

| replied to #24816 (please check).
Of course we can discuss this (and any other issue) in a dedicated call

#11 - Mar 22, 2023 04:39 PM - Luca Frosini

| just had a call with @aureliano.gentile@fao.org and we agreed that:
e the generated Resources not only are useless but they create confusion;
* we need to create a metadata for each database source instead of concatenating them in a single metadata.
e each metadata must contain the longest version of the source.

So we can keep the same structure and add the long_name as follows:

"database_sources" : [ {

"name" : "FishSource",
"long_name" : "FishSource",
"description" : "

FishSource is an online information resource about the status of stocks and fisheries, that compiles and summa
rizes all the information that is needed from analysts to evaluate the sustainability.",
"url" : "http://www.fishsource.com"
b A
"name" : "FIRMS",
"long_name" : "Fisheries and Resources Monitoring System (FIRMS)",
"description" "
Fisheries and Resources Monitoring System aims to provide access to a wide range of high-quality information o
n the global monitoring and management of fishery marine resources",
"url" : "http://firms.fao.org/firms/en"
e Ao
"name" : "RAM",
"long_name" : "RAM Legacy Stock Assessment Database",
"description" : "
RAM Legacy Stock Assessment Database is a compilation of stock assessment results for commercially exploited m
arine populations from around the world.",
"url" : "http://ramlegacy.org"
bl

or having a simples array like this
"database_sources": [
"FishSource",

"Fisheries and Resources Monitoring System (FIRMS)",
"RAM Legacy Stock Assessment Database"

| prefer the latter if possible
#12 - Mar 23, 2023 11:55 AM - Yannis Marketakis

OK let's keep the second approach that is much simpler and less verbose
"database_sources": [
"FishSource",

"Fisheries and Resources Monitoring System (FIRMS)",
"RAM Legacy Stock Assessment Database"

#13 - Mar 23, 2023 12:11 PM - Aureliano Gentile

Thank you, all fine with me. The above examples do not cover the 4th source of information (FAO SDG 14.4.1 Questionnaire) but | trust this will be

part of the implementation.
Aureliano

#14 - Mar 23, 2023 12:16 PM - Luca Frosini
- Tracker changed from Support to Task
- Status changed from In Progress to Paused

- Target version set to GRSF

Aureliano Gentile wrote in #note-13:

Thank you, all fine with me. The above examples do not cover the 4th source of information (FAO SDG 14.4.1 Questionnaire) but | trust this will

be part of the implementation.
Aureliano

Yes, that is only an example.

As agreed with @marketak@ics.forth.gr I'm going to pause this ticket.

I'll ask to change the produced JSON to @marketak@ics.forth.gr as soon as ready with the new service.

#15 - Mar 23, 2023 12:18 PM - Luca Frosini

- Subject changed from About 'database_sources' to Change the content of ‘database_sources'

#16 - Apr 14, 2023 11:04 AM - Luca Frosini
The complete list is:
"database_sources": [
"FishSource",
"Fisheries and Resources Monitoring System (FIRMS)",

"RAM Legacy Stock Assessment Database",
"FAO SDG 14.4.1 Questionnaire"

#17 - Apr 26, 2023 10:19 AM - Luca Frosini
- Parent task changed from #24611 to #25008

Files

cb468fb0-fed5-370f-9bc6-08fa99c543c.json 33.4 KB Mar 21, 2023 Luca Frosini
clipboard-202303221129-va37k.png 8.28 KB Mar 22, 2023 Yannis Marketakis
clipboard-202303221130-8ms3t.png 20.8 KB Mar 22, 2023 Yannis Marketakis
Database Source Field.png 6.43 KB Mar 22, 2023 Luca Frosini
resources_from_refers_to.png 19.8 KB Mar 22, 2023 Luca Frosini
clipboard-202303221251-exrza.png 26.8 KB Mar 22, 2023 Yannis Marketakis
